tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class MessageArchivingModule.Settings

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.modules.xep0136.MessageArchivingModule.Settings

- All Implemented Interfaces:
    Element
  Enclosing class:
    MessageArchivingModule

      public static class MessageArchivingModule.Settings
      extends ElementWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settings()`
    `Settings(Element element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAutoSave()`
    `String` | `getChildAttr(String childName, String attr)`
    `Long` | `getExpire()`
    `SaveMode` | `getSaveMode()`
    `MessageArchivingModule.Settings` | `setAutoSave(boolean value)`
    `MessageArchivingModule.Settings` | `setChildAttr(String childName, String attr, String value)`
    `MessageArchivingModule.Settings` | `setExpire(Long value)`
    `MessageArchivingModule.Settings` | `setSaveMode(SaveMode mode)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Settings

          public Settings()
                   throws XMLException

      Throws:
        `XMLException`

    - #### Settings

          public Settings(Element element)

  - ### Method Detail

    - #### getAutoSave

          public boolean getAutoSave()
                              throws XMLException

      Throws:
        `XMLException`

    - #### setAutoSave

          public MessageArchivingModule.Settings setAutoSave(boolean value)
                                                      throws XMLException

      Throws:
        `XMLException`

    - #### getExpire

          public Long getExpire()
                         throws XMLException

      Throws:
        `XMLException`

    - #### setExpire

          public MessageArchivingModule.Settings setExpire(Long value)
                                                    throws XMLException

      Throws:
        `XMLException`

    - #### getSaveMode

          public SaveMode getSaveMode()
                               throws XMLException

      Throws:
        `XMLException`

    - #### setSaveMode

          public MessageArchivingModule.Settings setSaveMode(SaveMode mode)
                                                      throws XMLException

      Throws:
        `XMLException`

    - #### getChildAttr

          public String getChildAttr(String childName,
                                     String attr)
                              throws XMLException

      Throws:
        `XMLException`

    - #### setChildAttr

          public MessageArchivingModule.Settings setChildAttr(String childName,
                                                              String attr,
                                                              String value)
                                                       throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2017 Tigase. All rights reserved.